controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\Noticias;
use app\models\Articulos;
use \yii\data\ActiveDataProvider;



class SiteController extends Controller
{    
    public function actionIndex(){
       $noticias= Noticias::find()
                  ->all();
        
        return $this->render('index',[
            "noticias"=>$noticias,
        ]);
    }
    
    public function actionArticulos(){
        $articulos= Articulos::find()
                    ->all();
        return $this->render('articulos',[
            'articulos'=>$articulos,
            
        ]);
    }
    public function actionLeer($id) {
        $articulos= Articulos::find()
                    ->where([
                        'id'=>$id,
                    ])
                    ->all();
        return $this->render('leer',[
            'articulos'=>$articulos,
        ]);
    }
    public function actionTodo(){
        $consulta= Noticias::find();
        
        $consulta1= Articulos::find();
        
        $datos=new ActiveDataProvider([
            'query'=>$consulta,
                       'pagination'=>[
                'pageSize'=>1,
                'pageParam'=>'noticia',//con esto consegui que la paginacion sea de manera independiente.
            ]
        ]);
        
        $datos1=new ActiveDataProvider([
            'query'=>$consulta1,
            'Pagination'=>[
                'PageSize'=>1
            ]
            
        ]);
        
        return $this->render('todo',[
            "dataProvider"=>$datos,
            "dataProvider1"=>$datos1,
            
        ]);
    }
}

views/site/articulos.php
<?php
use yii\helpers\Html;
$this->title='Articulos';

?>
<div class="row">
    <?php
        foreach($articulos as $articulo){
    ?>
  <div class="col-sm-6 col-md-4">
    <div class="thumbnail">
      <?= Html::img("@web/imgs/".$articulo->foto,['alt'=>'fotoArticulo'])?>
      <div class="caption">
        <h3><?=$articulo->titulo?></h3>
        <p><?=$articulo->texto?></p>
        <p><?=Html::a('Leer mas',['site/leer', 'id'=>$articulo->id], ['class' => 'btn btn-info']); ?></p>
      </div>
    </div>
  </div>
    <?php
        }
    ?>
</div>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php
/* @var $this yii\web\View */
//var_dump($noticias);
$this->title = 'Noticias';
use yii\helpers\Html;

?>
<div class="site-index">
    <div class="row">
        <?php
            foreach($noticias as $noticia){
        ?>
        <div class="col-sm-6 col-md-6">
            <div class="thumbnail">
                <?= Html::img("@web/imgs/".$noticia->foto,['alt'=>'fotoNoticia'])?>
                <div class="caption">
                    <h3><?=$noticia->titulo?></h3>
                    <p><?=$noticia->texto?></p>

                </div>
            </div>
        </div>
        <?php
            }
        ?>
    </div>

</div>

views/site/leer.php
<?php

use yii\helpers\Html;

foreach ($articulos as $articulo) {
    
?>

<div class="panel panel-default">
    <div class="panel-heading">
        <h3 class="panel-title"><?= $articulo->titulo; ?></h3>
    </div>
    <div class="panel-body">
        <p><h3><?= $articulo->textoLargo; ?></h3></p>

        <div class="row">
            <div class="col-xs-6 col-md-3 ">
                
                    <?= Html::img("@web/imgs/".$articulo->foto,['alt'=>'fotoArticulo'])?>
                
            </div>
            ...
        </div>
    </div>
</div>
<?php
}
?>

views/site/todo.php
<?php
use yii\grid\GridView;
use yii\helpers\Html;
?>
<h1><?= $this->title='Noticias'?></h1>
<?= GridView::widget([
        'dataProvider' => $dataProvider,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'id',
            'titulo',
            'texto:ntext',
            [
            'label'=>'foto',
            'format'=>'raw',
            'value' => function($data){
                        return Html::img("@web/imgs/$data->foto",['class'=>'img-responsive']); 
                       }
            ],
            
            
        ],
    ]); ?>
    <h1><?= $this->title='Articulos'?></h1>
    <?= GridView::widget([
        'dataProvider' => $dataProvider1,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'id',
            'titulo',
            'texto:ntext',            
            [
            'label'=>'foto',
            'format'=>'raw',
            'value' => function($data){
                        return Html::img("@web/imgs/$data->foto",['class'=>'img-responsive']); 
                       }
            ],

            
        ],
    ]); ?>